/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
*/
/* 
    Created on : 12/04/2022, 16:05:18
    Author     : Carlos Braga
*/

div#topbar {
    z-index: 10;
    position: relative;
}
.schedule_bar_container {
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
    position: relative;
    z-index: 10;
    background: #fff;
}
.schedule_bar_wrapper {
    padding: 0 12px;
}
.schedule_bar_item_wrapper .md-button.md-ink-ripple {
    width: 100%;
    text-transform: unset;
    border-radius: 16px;
    margin: 6px 0;
    padding: 6px 12px;
    line-height: 12px;
    align-items: flex-end;
}
.schedule_text {
    text-align: left;
    padding: 0 6px;
}
span.schedule_chevron {
    color: #884893;
}
.schedule_text p {
    color: #884893;
    font-size: 12px;
    font-weight: 500;
    margin: 0 6px;
}
span.schedule_icon {
    color: #fcb927;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.schedule_text h5 {
    font-size: 10px;
    font-weight: 500;
    color: #65655E;
    margin: 6px 0 0;
}






/*AUTH*/
.fullscreen_dialog_floating_header_wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 18px 24px;
}
button.auth_blue_button.md-button.md-ink-ripple {
    background: #8DC7E2;
    color: #fff;
    border-radius: 24px;
    text-transform: unset;
    font-size: 14px;
    font-weight: 800;
    line-height: 48px;
    padding: 0 16px;
}
img.auth_logo {
    height: 96px;
    margin: 0 0 24px;
    display: block;
    width: 100%;
    object-fit: contain;
    object-position: center;
}
img.auth_logo.alt {
    height: 96px;
    margin: 0 0 24px;
}
a.blue_link {
    color: #8DC7E2;
    font-size: 12px;
    padding: 6px;
}
.fullscreen_dialog_wrapper .card_container {
    max-height: calc(100vh - 135px);
    overflow: auto;
    margin: 0 0 24px;
}


.big.blue.floating_cart_button.md-button.md-ink-ripple {
    position: fixed;
    bottom: 6px;
    width: calc(100% - 24px);
    left: 12px;
}






button.big.red.floating_button.md-button.md-ink-ripple {
    position: fixed;
    bottom: 8px;
    left: 12px;
    max-width: calc(100% - 24px);
}

.page_container.personal_pages ul {
    margin: 0 -6px;
    padding: 24px 6px 0;
    list-style: none;
    height: calc(100% - 264px);
    overflow: auto;
}
.moradas_list_item_details {
    flex: auto;
    padding: 12px 46px 12px 0;
}
.moradas_list_item_details h3 span {
    color: #FCB927;
    margin: 0 6px 0 0;
}
button.icon.red {
    color: #e35a49;
}

a.specialLink {
    color: #fcb927;
    text-decoration: underline;
    font-size: 12px;
    padding: 12px 0;
}


.card_wrapper.transparent_card {
    background: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.card_wrapper.transparent_card md-input-container .md-input {
    color: #fff;
    border: 1px solid #fff;
}
.card_wrapper.transparent_card md-input-container label.ng-scope.md-required {
    color: #fff;
}
.card_wrapper.transparent_card md-input-container:not(.md-input-focused):not(.md-input-invalid) label.md-required:after {
    color: #fff;
}
.card_wrapper.transparent_card a.blue_link {
    color: #fff;
    text-decoration: underline;
    text-align: center;
    width: 100%;
}
.card_wrapper.transparent_card .round_withText.white.md-button {
    background: #fff;
    color: #884893;
}
.card_wrapper.transparent_card form > div > p {
    color: #fff;
}
.card_wrapper.transparent_card .round_withText.white.md-button p {
    color: #884893;
}

.page_container.personal_pages .home_rest_item_img_wrapper {
    height: 75px;
    width: 75px;
    margin: 6px 12px 0 0px;
    padding: 0 0;
}
.header_details_wrapper {
    padding: 12px 12px 0;
}
h2.restaurant_name {
    margin: 0 12px 0;
}
.pedido_state_details_container {
    margin: 12px 12px 0;
}
.pedido_payment_details {
    padding: 36px 24px 28px;
    background: #EDF2F4;
    border-radius: 24px;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
}



.form_wrapper {
    padding: 12px 36px;
}
p.info_text {
    color: #fcb927;
    font-size: 10px;
    display: flex;
}
p.info_text span {
    font-size: 16px;
    margin: 0 6px 0 0;
}
.address_map_marker:not(.custom-marker) {
    width: 48px;
    height: 48px;
    background: #884893;
    border-radius: 48px 48px 12px 48px;
    /* box-shadow: inset 0px 0px 0px 3px #f5d1ad; */
    transform: rotate(45deg);
    display: flex;
    align-items: center;
    justify-content: center;
}
.address_map_marker:not(.custom-marker) span {
    transform: rotate(-45deg) translate(-5%,-75%);
    display: block;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 24px;
}
.address_map_marker img {
    transform: rotate(-45deg);
    width: 32px;
    height: 32px;
    object-fit: contain;
    object-position: center;
}
.address_map_marker.moto:not(.custom-marker) {
    background: #e35a49;
}



.page_wrapper.see_wrapper {
    display: none;
    background: rgb(227 90 73 / 10%);
    box-sizing: border-box;
}
.ativo.page_wrapper.see_wrapper {
    display: block;
    padding: 12px;
}
.ativo.page_wrapper.see_wrapper h5 {
    color: #e35a49;
}




li.checkout_item {
    margin: 0 0 18px;
    width: 100%;
}

md-input-container.withIcon.withButton span {
    position: absolute;
    top: 18px;
    left: 8px;
    font-size: 20px;
    color: #1B998B;
}
md-input-container.withIcon.withButton input {
    padding: 0 36px;
    margin: 15px 0 0;
}
md-input-container.withIcon.withButton button.md-button.md-ink-ripple {
    position: absolute;
    top: 0px;
    right: 0;
    width: 32px;
    height: 32px;
    min-width: auto;
    min-height: auto;
    background: #e35a49;
    border-radius: 50%;
    color: #fff;
    font-size: 20px;
}
md-input-container.withIcon.withButton:not(.md-input-has-value) label {
    padding: 0 42px;
    box-sizing: border-box;
    transform: translate3d(0,16px,0) scale(1);
}
md-input-container.withIcon.withButton button.md-button.md-ink-ripple.notactive {
    background: #EDF2F4;
}





button.big.blue.floating_cart_button.pedido.md-button.md-ink-ripple {
    background: #884893;
    display: flex;
}

.pedido_state_header_wrapper {
    display: flex;
}

ul.pedido_state_viewer {
    display: flex;
    margin: 24px 0;
    padding: 0;
    list-style: none;
    align-items: center;
    justify-content: center;
}
li.pedido_state_viewer_item {
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #EDF2F4;
    border-radius: 50%;
    color: #fff;
    font-weight: 700;
    box-shadow: 0px 3px 6px 0px rgb(0 0 0 / 16%);
}
li.pedido_state_viewer_item.concluded {
    background: #884893;
    color: #fcb927;
}
li.pedido_state_viewer_item_line {
    flex: auto;
    border-bottom: 3px solid #ede6e3;
}
li.pedido_state_viewer_item.current {
    background: #884893;
}
li.pedido_state_viewer_item_line.active {
    border-color: #fcb927;
}



.addresses_no_address_wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.addresses_no_address_wrapper .addresses_no_address_icon {
    font-size: 32px;
    color: #EF798A;
}
.addresses_no_address_wrapper .addresses_no_address_text {
    font-size: 12px;
    color: #202a4e;
    margin: 12px 0 24px;
}
p.error_text {
    color: #EF798A;
}


section#alt_header_details_container{
    border-bottom: 1px solid #EDF2F4;
}
.alt_header_details_item {
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.alt_header_details_item.aberto p {
    color: #1B998B !important;
}
.alt_header_details_item.fechado p {
    color: #EF798A !important;
}



.allergy_item {
    background-image: url(/template/img/allergies/sprite.png);
    width: 32px;
    height: 32px;
    background-repeat: no-repeat;
    background-position: 0px 0px;
    background-size: auto 66px;
    margin: 0 6px 0 0;
}
.allergy_item.allergy_item_0 {
    background-position-x:0px;
}
.allergy_item.allergy_item_1 {
    background-position-x: -34px;
}
.allergy_item.allergy_item_2 {
    background-position-x: -67px;
}
.allergy_item.allergy_item_3 {
    background-position-x: -101px;
}
.allergy_item.allergy_item_4 {
    background-position-x: -135px;
}
.allergy_item.allergy_item_5 {
    background-position-x: -168px;
}
.allergy_item.allergy_item_6 {
    background-position-x: -202px;
}
.allergy_item.allergy_item_7 {
    background-position-x: -236px;
}
.allergy_item.allergy_item_8 {
    background-position-x: -270px;
}
.allergy_item.allergy_item_9 {
    background-position-x: -303px;
}
.allergy_item.allergy_item_10 {
    background-position-x: -337px;
}
.allergy_item.allergy_item_11 {
    background-position-x: -371px;
}
.allergy_item.allergy_item_12 {
    background-position-x: -404px;
}
.allergy_item.allergy_item_13 {
    background-position-x: -438px;
}
.allergy_item.veggie {
    background-position: -472px 0px;
}
.allergy_item.vegan {
    background-position: -506px 0px;
}
.allergy_item.hotspice {
    background-position: -472px -34px;
}
.allergy_item.alt_allergy_item {
    background-position-y: -34px;
}
.allergy_item.small_allergy_item {
    background-image: url(/template/img/allergies/sprite.png);
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
    background-position: 0px 0px;
    background-size: auto 42px;
}
.allergy_item.small_allergy_item.allergy_item_0 {
    background-position-x:0px;
}
.allergy_item.small_allergy_item.allergy_item_1 {
    background-position-x: -22px;
}
.allergy_item.small_allergy_item.allergy_item_2 {
    background-position-x: -43px;
}
.allergy_item.small_allergy_item.allergy_item_3 {
    background-position-x: -65px;
}
.allergy_item.small_allergy_item.allergy_item_4 {
    background-position-x: -86px;
}
.allergy_item.small_allergy_item.allergy_item_5 {
    background-position-x: -108px;
}
.allergy_item.small_allergy_item.allergy_item_6 {
    background-position-x: -129px;
}
.allergy_item.small_allergy_item.allergy_item_7 {
    background-position-x: -150px;
}
.allergy_item.small_allergy_item.allergy_item_8 {
    background-position-x: -172px;
}
.allergy_item.small_allergy_item.allergy_item_9 {
    background-position-x: -193px;
}
.allergy_item.small_allergy_item.allergy_item_10 {
    background-position-x: -215px;
}
.allergy_item.small_allergy_item.allergy_item_11 {
    background-position-x: -236px;
}
.allergy_item.small_allergy_item.allergy_item_12 {
    background-position-x: -258px;
}
.allergy_item.small_allergy_item.allergy_item_13 {
    background-position-x: -279px;
}
.allergy_item.small_allergy_item.veggie {
    background-position: -301px 0px;
}
.allergy_item.small_allergy_item.vegan {
    background-position: -322px 0px;
}
.allergy_item.small_allergy_item.hotspice {
    background-position: -301px -22px;
}
.allergy_item.small_allergy_item.alt_allergy_item {
    background-position-y: -22px;
}

.info_message {
    margin: 12px 0 0;
}
.info_message span {
    font-size: 16px;
    color: #fcb927;
}
.info_message p {
    color: #fcb927;
    font-size: 10px;
    margin: 0 0 0 6px;
}


.lang_selector_wrapper img {
    border: 2px solid transparent;
    border-radius: 50%;
    transition: .15s all linear;
}
.lang_selector_wrapper img.active {
    border-color: #e35a49;
}


@media screen and (min-width:600px) {
    button.home_cat_button.md-button.md-ink-ripple {
        max-height: 125px;
    }
    md-dialog.small_popup, md-dialog.small_dialog {
        max-width: 480px !important;
    }
    .layout-gt-xs-row:not(.layout-sm-column)>.md-auto-horizontal-margin:not(:first-child), .layout-row:not(.layout-gt-xs-column):not(.layout-sm-column)>.md-auto-horizontal-margin:not(:first-child), .layout-sm-row:not(.layout-sm-column)>.md-auto-horizontal-margin:not(:first-child) {
        margin: 12px 0 0;
    }


}